[@bigcommerce/checkout-sdk](../README.md) / StripeElementClasses

# Interface: StripeElementClasses

## Table of contents

### Properties

- [base](StripeElementClasses.md#base)
- [complete](StripeElementClasses.md#complete)
- [empty](StripeElementClasses.md#empty)
- [focus](StripeElementClasses.md#focus)
- [invalid](StripeElementClasses.md#invalid)
- [webkitAutoFill](StripeElementClasses.md#webkitautofill)

## Properties

### base

• `Optional` **base**: `string`

The base class applied to the container. Defaults to StripeElement.

___

### complete

• `Optional` **complete**: `string`

The class name to apply when the Element is complete. Defaults to StripeElement--complete.

___

### empty

• `Optional` **empty**: `string`

The class name to apply when the Element is empty. Defaults to StripeElement--empty.

___

### focus

• `Optional` **focus**: `string`

The class name to apply when the Element is focused. Defaults to StripeElement--focus.

___

### invalid

• `Optional` **invalid**: `string`

The class name to apply when the Element is invalid. Defaults to StripeElement--invalid.

___

### webkitAutoFill

• `Optional` **webkitAutoFill**: `string`

The class name to apply when the Element has its value autofilled by the browser
(only on Chrome and Safari). Defaults to StripeElement--webkit-autofill.
